1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile.am for the traffic/iocore/eventsystem hierarchy
18#
19#  Licensed to the Apache Software Foundation (ASF) under one
20#  or more contributor license agreements.  See the NOTICE file
21#  distributed with this work for additional information
22#  regarding copyright ownership.  The ASF licenses this file
23#  to you under the Apache License, Version 2.0 (the
24#  "License"); you may not use this file except in compliance
25#  with the License.  You may obtain a copy of the License at
26#
27#      http://www.apache.org/licenses/LICENSE-2.0
28#
29#  Unless required by applicable law or agreed to in writing, software
30#  distributed under the License is distributed on an "AS IS" BASIS,
31#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
32#  See the License for the specific language governing permissions and
33#  limitations under the License.
34
35#  Licensed to the Apache Software Foundation (ASF) under one
36#  or more contributor license agreements.  See the NOTICE file
37#  distributed with this work for additional information
38#  regarding copyright ownership.  The ASF licenses this file
39#  to you under the Apache License, Version 2.0 (the
40#  "License"); you may not use this file except in compliance
41#  with the License.  You may obtain a copy of the License at
42#
43#      http://www.apache.org/licenses/LICENSE-2.0
44#
45#  Unless required by applicable law or agreed to in writing, software
46#  distributed under the License is distributed on an "AS IS" BASIS,
47#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
48#  See the License for the specific language governing permissions and
49#  limitations under the License.
50
51VPATH = @srcdir@
52am__is_gnu_make = { \
53  if test -z '$(MAKELEVEL)'; then \
54    false; \
55  elif test -n '$(MAKE_HOST)'; then \
56    true; \
57  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58    true; \
59  else \
60    false; \
61  fi; \
62}
63am__make_running_with_option = \
64  case $${target_option-} in \
65      ?) ;; \
66      *) echo "am__make_running_with_option: internal error: invalid" \
67              "target option '$${target_option-}' specified" >&2; \
68         exit 1;; \
69  esac; \
70  has_opt=no; \
71  sane_makeflags=$$MAKEFLAGS; \
72  if $(am__is_gnu_make); then \
73    sane_makeflags=$$MFLAGS; \
74  else \
75    case $$MAKEFLAGS in \
76      *\\[\ \	]*) \
77        bs=\\; \
78        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
80    esac; \
81  fi; \
82  skip_next=no; \
83  strip_trailopt () \
84  { \
85    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86  }; \
87  for flg in $$sane_makeflags; do \
88    test $$skip_next = yes && { skip_next=no; continue; }; \
89    case $$flg in \
90      *=*|--*) continue;; \
91        -*I) strip_trailopt 'I'; skip_next=yes;; \
92      -*I?*) strip_trailopt 'I';; \
93        -*O) strip_trailopt 'O'; skip_next=yes;; \
94      -*O?*) strip_trailopt 'O';; \
95        -*l) strip_trailopt 'l'; skip_next=yes;; \
96      -*l?*) strip_trailopt 'l';; \
97      -[dEDm]) skip_next=yes;; \
98      -[JT]) skip_next=yes;; \
99    esac; \
100    case $$flg in \
101      *$$target_option*) has_opt=yes; break;; \
102    esac; \
103  done; \
104  test $$has_opt = yes
105am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107pkgincludedir = $(includedir)/@PACKAGE@
108am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109install_sh_DATA = $(install_sh) -c -m 644
110install_sh_PROGRAM = $(install_sh) -c
111install_sh_SCRIPT = $(install_sh) -c
112INSTALL_HEADER = $(INSTALL_DATA)
113transform = $(program_transform_name)
114NORMAL_INSTALL = :
115PRE_INSTALL = :
116POST_INSTALL = :
117NORMAL_UNINSTALL = :
118PRE_UNINSTALL = :
119POST_UNINSTALL = :
120build_triplet = @build@
121host_triplet = @host@
122check_PROGRAMS = test_IOBuffer$(EXEEXT) test_EventSystem$(EXEEXT) \
123	test_MIOBufferWriter$(EXEEXT)
124subdir = iocore/eventsystem
125ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
126am__aclocal_m4_deps = $(top_srcdir)/build/atomic.m4 \
127	$(top_srcdir)/build/ax_check_openssl.m4 \
128	$(top_srcdir)/build/ax_compare_version.m4 \
129	$(top_srcdir)/build/ax_compiler_vendor.m4 \
130	$(top_srcdir)/build/ax_lib_curl.m4 \
131	$(top_srcdir)/build/ax_lib_readline.m4 \
132	$(top_srcdir)/build/ax_path_generic.m4 \
133	$(top_srcdir)/build/ax_perl_modules.m4 \
134	$(top_srcdir)/build/ax_require_defined.m4 \
135	$(top_srcdir)/build/ax_with_curses.m4 \
136	$(top_srcdir)/build/boringocsp.m4 \
137	$(top_srcdir)/build/brotli.m4 $(top_srcdir)/build/cjose.m4 \
138	$(top_srcdir)/build/common.m4 $(top_srcdir)/build/crypto.m4 \
139	$(top_srcdir)/build/hiredis.m4 $(top_srcdir)/build/jansson.m4 \
140	$(top_srcdir)/build/jemalloc.m4 $(top_srcdir)/build/libtool.m4 \
141	$(top_srcdir)/build/ltoptions.m4 \
142	$(top_srcdir)/build/ltsugar.m4 \
143	$(top_srcdir)/build/ltversion.m4 \
144	$(top_srcdir)/build/lt~obsolete.m4 \
145	$(top_srcdir)/build/luajit.m4 $(top_srcdir)/build/lzma.m4 \
146	$(top_srcdir)/build/network.m4 $(top_srcdir)/build/pcre.m4 \
147	$(top_srcdir)/build/pkg.m4 $(top_srcdir)/build/tcmalloc.m4 \
148	$(top_srcdir)/build/yaml-cpp.m4 $(top_srcdir)/build/zlib.m4 \
149	$(top_srcdir)/configure.ac
150am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
151	$(ACLOCAL_M4)
152DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
153mkinstalldirs = $(install_sh) -d
154CONFIG_HEADER = $(top_builddir)/include/ink_autoconf.h
155CONFIG_CLEAN_FILES =
156CONFIG_CLEAN_VPATH_FILES =
157LIBRARIES = $(noinst_LIBRARIES)
158ARFLAGS = cru
159AM_V_AR = $(am__v_AR_@AM_V@)
160am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
161am__v_AR_0 = @echo "  AR      " $@;
162am__v_AR_1 =
163libinkevent_a_AR = $(AR) $(ARFLAGS)
164libinkevent_a_LIBADD =
165am_libinkevent_a_OBJECTS = EventSystem.$(OBJEXT) IOBuffer.$(OBJEXT) \
166	Inline.$(OBJEXT) Lock.$(OBJEXT) MIOBufferWriter.$(OBJEXT) \
167	PQ-List.$(OBJEXT) Processor.$(OBJEXT) ProtectedQueue.$(OBJEXT) \
168	ProxyAllocator.$(OBJEXT) SocketManager.$(OBJEXT) \
169	Tasks.$(OBJEXT) Thread.$(OBJEXT) UnixEThread.$(OBJEXT) \
170	UnixEvent.$(OBJEXT) UnixEventProcessor.$(OBJEXT)
171libinkevent_a_OBJECTS = $(am_libinkevent_a_OBJECTS)
172am__dirstamp = $(am__leading_dot)dirstamp
173am_test_EventSystem_OBJECTS =  \
174	unit_tests/test_EventSystem-test_EventSystem.$(OBJEXT)
175test_EventSystem_OBJECTS = $(am_test_EventSystem_OBJECTS)
176am__DEPENDENCIES_1 = libinkevent.a \
177	$(top_builddir)/lib/records/librecords_p.a \
178	$(top_builddir)/mgmt/libmgmt_p.la \
179	$(top_builddir)/iocore/eventsystem/libinkevent.a \
180	$(top_builddir)/src/tscore/libtscore.la \
181	$(top_builddir)/src/tscpp/util/libtscpputil.la \
182	$(top_builddir)/proxy/shared/libUglyLogStubs.a
183test_EventSystem_DEPENDENCIES = $(am__DEPENDENCIES_1)
184AM_V_lt = $(am__v_lt_@AM_V@)
185am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186am__v_lt_0 = --silent
187am__v_lt_1 =
188test_EventSystem_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
189	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
190	$(AM_CXXFLAGS) $(CXXFLAGS) $(test_EventSystem_LDFLAGS) \
191	$(LDFLAGS) -o $@
192am_test_IOBuffer_OBJECTS =  \
193	unit_tests/test_IOBuffer-test_IOBuffer.$(OBJEXT)
194test_IOBuffer_OBJECTS = $(am_test_IOBuffer_OBJECTS)
195test_IOBuffer_DEPENDENCIES = $(am__DEPENDENCIES_1)
196test_IOBuffer_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
197	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
198	$(AM_CXXFLAGS) $(CXXFLAGS) $(test_IOBuffer_LDFLAGS) $(LDFLAGS) \
199	-o $@
200am_test_MIOBufferWriter_OBJECTS = unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.$(OBJEXT)
201test_MIOBufferWriter_OBJECTS = $(am_test_MIOBufferWriter_OBJECTS)
202test_MIOBufferWriter_LDADD = $(LDADD)
203test_MIOBufferWriter_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
204	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
205	$(AM_CXXFLAGS) $(CXXFLAGS) $(test_MIOBufferWriter_LDFLAGS) \
206	$(LDFLAGS) -o $@
207AM_V_P = $(am__v_P_@AM_V@)
208am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
209am__v_P_0 = false
210am__v_P_1 = :
211AM_V_GEN = $(am__v_GEN_@AM_V@)
212am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
213am__v_GEN_0 = @echo "  GEN     " $@;
214am__v_GEN_1 =
215AM_V_at = $(am__v_at_@AM_V@)
216am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
217am__v_at_0 = @
218am__v_at_1 =
219DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
220depcomp = $(SHELL) $(top_srcdir)/build/_aux/depcomp
221am__maybe_remake_depfiles = depfiles
222am__depfiles_remade = ./$(DEPDIR)/EventSystem.Po \
223	./$(DEPDIR)/IOBuffer.Po ./$(DEPDIR)/Inline.Po \
224	./$(DEPDIR)/Lock.Po ./$(DEPDIR)/MIOBufferWriter.Po \
225	./$(DEPDIR)/PQ-List.Po ./$(DEPDIR)/Processor.Po \
226	./$(DEPDIR)/ProtectedQueue.Po ./$(DEPDIR)/ProxyAllocator.Po \
227	./$(DEPDIR)/SocketManager.Po ./$(DEPDIR)/Tasks.Po \
228	./$(DEPDIR)/Thread.Po ./$(DEPDIR)/UnixEThread.Po \
229	./$(DEPDIR)/UnixEvent.Po ./$(DEPDIR)/UnixEventProcessor.Po \
230	unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po \
231	unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po \
232	unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po
233am__mv = mv -f
234CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
235	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
236LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
237	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
238	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
239	$(AM_CXXFLAGS) $(CXXFLAGS)
240AM_V_CXX = $(am__v_CXX_@AM_V@)
241am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
242am__v_CXX_0 = @echo "  CXX     " $@;
243am__v_CXX_1 =
244CXXLD = $(CXX)
245CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
247	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
248AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
249am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
250am__v_CXXLD_0 = @echo "  CXXLD   " $@;
251am__v_CXXLD_1 =
252COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
253	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
254LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
255	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
256	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
257	$(AM_CFLAGS) $(CFLAGS)
258AM_V_CC = $(am__v_CC_@AM_V@)
259am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
260am__v_CC_0 = @echo "  CC      " $@;
261am__v_CC_1 =
262CCLD = $(CC)
263LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
264	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
265	$(AM_LDFLAGS) $(LDFLAGS) -o $@
266AM_V_CCLD = $(am__v_CCLD_@AM_V@)
267am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
268am__v_CCLD_0 = @echo "  CCLD    " $@;
269am__v_CCLD_1 =
270SOURCES = $(libinkevent_a_SOURCES) $(test_EventSystem_SOURCES) \
271	$(test_IOBuffer_SOURCES) $(test_MIOBufferWriter_SOURCES)
272DIST_SOURCES = $(libinkevent_a_SOURCES) $(test_EventSystem_SOURCES) \
273	$(test_IOBuffer_SOURCES) $(test_MIOBufferWriter_SOURCES)
274am__can_run_installinfo = \
275  case $$AM_UPDATE_INFO_DIR in \
276    n|no|NO) false;; \
277    *) (install-info --version) >/dev/null 2>&1;; \
278  esac
279am__extra_recursive_targets = clang-tidy-recursive
280am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
281# Read a list of newline-separated strings from the standard input,
282# and print each of them once, without duplicates.  Input order is
283# *not* preserved.
284am__uniquify_input = $(AWK) '\
285  BEGIN { nonempty = 0; } \
286  { items[$$0] = 1; nonempty = 1; } \
287  END { if (nonempty) { for (i in items) print i; }; } \
288'
289# Make sure the list of sources is unique.  This is necessary because,
290# e.g., the same source file might be shared among _SOURCES variables
291# for different programs/libraries.
292am__define_uniq_tagged_files = \
293  list='$(am__tagged_files)'; \
294  unique=`for i in $$list; do \
295    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296  done | $(am__uniquify_input)`
297ETAGS = etags
298CTAGS = ctags
299am__tty_colors_dummy = \
300  mgn= red= grn= lgn= blu= brg= std=; \
301  am__color_tests=no
302am__tty_colors = { \
303  $(am__tty_colors_dummy); \
304  if test "X$(AM_COLOR_TESTS)" = Xno; then \
305    am__color_tests=no; \
306  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
307    am__color_tests=yes; \
308  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
309    am__color_tests=yes; \
310  fi; \
311  if test $$am__color_tests = yes; then \
312    red=''; \
313    grn=''; \
314    lgn=''; \
315    blu=''; \
316    mgn=''; \
317    brg=''; \
318    std=''; \
319  fi; \
320}
321am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
322am__vpath_adj = case $$p in \
323    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
324    *) f=$$p;; \
325  esac;
326am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
327am__install_max = 40
328am__nobase_strip_setup = \
329  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
330am__nobase_strip = \
331  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
332am__nobase_list = $(am__nobase_strip_setup); \
333  for p in $$list; do echo "$$p $$p"; done | \
334  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
335  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
336    if (++n[$$2] == $(am__install_max)) \
337      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
338    END { for (dir in files) print dir, files[dir] }'
339am__base_list = \
340  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
341  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
342am__uninstall_files_from_dir = { \
343  test -z "$$files" \
344    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
345    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
346         $(am__cd) "$$dir" && rm -f $$files; }; \
347  }
348am__recheck_rx = ^[ 	]*:recheck:[ 	]*
349am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
350am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
351# A command that, given a newline-separated list of test names on the
352# standard input, print the name of the tests that are to be re-run
353# upon "make recheck".
354am__list_recheck_tests = $(AWK) '{ \
355  recheck = 1; \
356  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
357    { \
358      if (rc < 0) \
359        { \
360          if ((getline line2 < ($$0 ".log")) < 0) \
361	    recheck = 0; \
362          break; \
363        } \
364      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
365        { \
366          recheck = 0; \
367          break; \
368        } \
369      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
370        { \
371          break; \
372        } \
373    }; \
374  if (recheck) \
375    print $$0; \
376  close ($$0 ".trs"); \
377  close ($$0 ".log"); \
378}'
379# A command that, given a newline-separated list of test names on the
380# standard input, create the global log from their .trs and .log files.
381am__create_global_log = $(AWK) ' \
382function fatal(msg) \
383{ \
384  print "fatal: making $@: " msg | "cat >&2"; \
385  exit 1; \
386} \
387function rst_section(header) \
388{ \
389  print header; \
390  len = length(header); \
391  for (i = 1; i <= len; i = i + 1) \
392    printf "="; \
393  printf "\n\n"; \
394} \
395{ \
396  copy_in_global_log = 1; \
397  global_test_result = "RUN"; \
398  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
399    { \
400      if (rc < 0) \
401         fatal("failed to read from " $$0 ".trs"); \
402      if (line ~ /$(am__global_test_result_rx)/) \
403        { \
404          sub("$(am__global_test_result_rx)", "", line); \
405          sub("[ 	]*$$", "", line); \
406          global_test_result = line; \
407        } \
408      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
409        copy_in_global_log = 0; \
410    }; \
411  if (copy_in_global_log) \
412    { \
413      rst_section(global_test_result ": " $$0); \
414      while ((rc = (getline line < ($$0 ".log"))) != 0) \
415      { \
416        if (rc < 0) \
417          fatal("failed to read from " $$0 ".log"); \
418        print line; \
419      }; \
420      printf "\n"; \
421    }; \
422  close ($$0 ".trs"); \
423  close ($$0 ".log"); \
424}'
425# Restructured Text title.
426am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
427# Solaris 10 'make', and several other traditional 'make' implementations,
428# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
429# by disabling -e (using the XSI extension "set +e") if it's set.
430am__sh_e_setup = case $$- in *e*) set +e;; esac
431# Default flags passed to test drivers.
432am__common_driver_flags = \
433  --color-tests "$$am__color_tests" \
434  --enable-hard-errors "$$am__enable_hard_errors" \
435  --expect-failure "$$am__expect_failure"
436# To be inserted before the command running the test.  Creates the
437# directory for the log if needed.  Stores in $dir the directory
438# containing $f, in $tst the test, in $log the log.  Executes the
439# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
440# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
441# will run the test scripts (or their associated LOG_COMPILER, if
442# thy have one).
443am__check_pre = \
444$(am__sh_e_setup);					\
445$(am__vpath_adj_setup) $(am__vpath_adj)			\
446$(am__tty_colors);					\
447srcdir=$(srcdir); export srcdir;			\
448case "$@" in						\
449  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
450    *) am__odir=.;; 					\
451esac;							\
452test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
453  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
454if test -f "./$$f"; then dir=./;			\
455elif test -f "$$f"; then dir=;				\
456else dir="$(srcdir)/"; fi;				\
457tst=$$dir$$f; log='$@'; 				\
458if test -n '$(DISABLE_HARD_ERRORS)'; then		\
459  am__enable_hard_errors=no; 				\
460else							\
461  am__enable_hard_errors=yes; 				\
462fi; 							\
463case " $(XFAIL_TESTS) " in				\
464  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
465    am__expect_failure=yes;;				\
466  *)							\
467    am__expect_failure=no;;				\
468esac; 							\
469$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
470# A shell command to get the names of the tests scripts with any registered
471# extension removed (i.e., equivalently, the names of the test logs, with
472# the '.log' extension removed).  The result is saved in the shell variable
473# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
474# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
475# since that might cause problem with VPATH rewrites for suffix-less tests.
476# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
477am__set_TESTS_bases = \
478  bases='$(TEST_LOGS)'; \
479  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
480  bases=`echo $$bases`
481RECHECK_LOGS = $(TEST_LOGS)
482AM_RECURSIVE_TARGETS = check recheck
483TEST_SUITE_LOG = test-suite.log
484TEST_EXTENSIONS = @EXEEXT@ .test
485LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
486LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
487am__set_b = \
488  case '$@' in \
489    */*) \
490      case '$*' in \
491        */*) b='$*';; \
492          *) b=`echo '$@' | sed 's/\.log$$//'`; \
493       esac;; \
494    *) \
495      b='$*';; \
496  esac
497am__test_logs1 = $(TESTS:=.log)
498am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
499TEST_LOGS = $(am__test_logs2:.test.log=.log)
500TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
501TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
502	$(TEST_LOG_FLAGS)
503am__DIST_COMMON = $(srcdir)/Makefile.in \
504	$(top_srcdir)/build/_aux/depcomp \
505	$(top_srcdir)/build/_aux/test-driver \
506	$(top_srcdir)/build/tidy.mk
507DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
508pkgdatadir = @pkgdatadir@
509pkglibdir = @pkglibdir@
510pkglibexecdir = @pkglibexecdir@
511ACLOCAL = @ACLOCAL@
512AMTAR = @AMTAR@
513AM_CFLAGS = @AM_CFLAGS@
514AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(abs_top_srcdir)/include \
515	-I$(abs_top_srcdir)/lib $(TS_INCLUDES)
516AM_CXXFLAGS = @AM_CXXFLAGS@
517AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
518AM_LDFLAGS = @AM_LDFLAGS@
519AR = @AR@
520ASCPP = @ASCPP@
521ATOMIC_LIBS = @ATOMIC_LIBS@
522AUTOCONF = @AUTOCONF@
523AUTOHEADER = @AUTOHEADER@
524AUTOMAKE = @AUTOMAKE@
525AWK = @AWK@
526BORINGOCSP_INCLUDES = @BORINGOCSP_INCLUDES@
527BORINGOCSP_LDFLAGS = @BORINGOCSP_LDFLAGS@
528BORINGOCSP_LIBS = @BORINGOCSP_LIBS@
529BROTLIENC_CFLAGS = @BROTLIENC_CFLAGS@
530BROTLIENC_LIB = @BROTLIENC_LIB@
531CC = @CC@
532CCACHE = @CCACHE@
533CCAS = @CCAS@
534CCASDEPMODE = @CCASDEPMODE@
535CCASFLAGS = @CCASFLAGS@
536CCDEPMODE = @CCDEPMODE@
537CFLAGS = @CFLAGS@
538CFLAGS_HIREDIS = @CFLAGS_HIREDIS@
539CLANG_TIDY = @CLANG_TIDY@
540CPP = @CPP@
541CPPFLAGS = @CPPFLAGS@
542CURL_CFLAGS = @CURL_CFLAGS@
543CURL_CONFIG = @CURL_CONFIG@
544CURL_LIBS = @CURL_LIBS@
545CURSES_CFLAGS = @CURSES_CFLAGS@
546CURSES_LDFLAGS = @CURSES_LDFLAGS@
547CURSES_LIBS = @CURSES_LIBS@
548CXX = @CXX@
549CXXCPP = @CXXCPP@
550CXXDEPMODE = @CXXDEPMODE@
551CXXFLAGS = @CXXFLAGS@
552CYGPATH_W = @CYGPATH_W@
553DEFS = @DEFS@
554DEPDIR = @DEPDIR@
555DLLTOOL = @DLLTOOL@
556DOXYGEN = @DOXYGEN@
557DSYMUTIL = @DSYMUTIL@
558DTRACE = @DTRACE@
559DUMPBIN = @DUMPBIN@
560ECHO_C = @ECHO_C@
561ECHO_N = @ECHO_N@
562ECHO_T = @ECHO_T@
563EGREP = @EGREP@
564EXEEXT = @EXEEXT@
565FGREP = @FGREP@
566FLEX_CFLAGS = @FLEX_CFLAGS@
567GEOIP_LIBS = @GEOIP_LIBS@
568GREP = @GREP@
569HOST_GUESS = @HOST_GUESS@
570HWLOC_CFLAGS = @HWLOC_CFLAGS@
571HWLOC_LIBS = @HWLOC_LIBS@
572INSTALL = @INSTALL@
573INSTALL_DATA = @INSTALL_DATA@
574INSTALL_PROGRAM = @INSTALL_PROGRAM@
575INSTALL_SCRIPT = @INSTALL_SCRIPT@
576INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
577JAVA = @JAVA@
578LD = @LD@
579LDFLAGS = @LDFLAGS@
580LEX = @LEX@
581LEXLIB = @LEXLIB@
582LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
583LIBBROTLIENC_CFLAGS = @LIBBROTLIENC_CFLAGS@
584LIBBROTLIENC_LIBS = @LIBBROTLIENC_LIBS@
585LIBCAP = @LIBCAP@
586LIBCJOSE = @LIBCJOSE@
587LIBCRYPT = @LIBCRYPT@
588LIBJANSSON = @LIBJANSSON@
589LIBLZMA = @LIBLZMA@
590LIBMAGICKCPP_CFLAGS = @LIBMAGICKCPP_CFLAGS@
591LIBMAGICKCPP_LIBS = @LIBMAGICKCPP_LIBS@
592LIBOBJS = @LIBOBJS@
593LIBPCRE = @LIBPCRE@
594LIBPROFILER = @LIBPROFILER@
595LIBREADLINE = @LIBREADLINE@
596LIBRESOLV = @LIBRESOLV@
597LIBS = @LIBS@
598LIBTOOL = @LIBTOOL@
599LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
600LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
601LIBZ = @LIBZ@
602LIB_HIREDIS = @LIB_HIREDIS@
603LIB_KYOTOCABINET = @LIB_KYOTOCABINET@
604LIB_MYSQLCLIENT = @LIB_MYSQLCLIENT@
605LIPO = @LIPO@
606LN_S = @LN_S@
607LTLIBOBJS = @LTLIBOBJS@
608LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
609LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
610LUAJIT_CPPFLAGS = @LUAJIT_CPPFLAGS@
611LUAJIT_DARWIN_LDFLAGS = @LUAJIT_DARWIN_LDFLAGS@
612LUAJIT_LDFLAGS = @LUAJIT_LDFLAGS@
613LUAJIT_LIBS = @LUAJIT_LIBS@
614MAINT = @MAINT@
615MAKEINFO = @MAKEINFO@
616MANIFEST_TOOL = @MANIFEST_TOOL@
617MAXMINDDB_LIBS = @MAXMINDDB_LIBS@
618MKDIR_P = @MKDIR_P@
619NM = @NM@
620NMEDIT = @NMEDIT@
621OBJDUMP = @OBJDUMP@
622OBJEXT = @OBJEXT@
623OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
624OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
625OPENSSL_LIBS = @OPENSSL_LIBS@
626OTOOL = @OTOOL@
627OTOOL64 = @OTOOL64@
628PACKAGE = @PACKAGE@
629PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
630PACKAGE_NAME = @PACKAGE_NAME@
631PACKAGE_STRING = @PACKAGE_STRING@
632PACKAGE_TARNAME = @PACKAGE_TARNAME@
633PACKAGE_URL = @PACKAGE_URL@
634PACKAGE_VERSION = @PACKAGE_VERSION@
635PATH_SEPARATOR = @PATH_SEPARATOR@
636PCRE_CONFIG = @PCRE_CONFIG@
637PERL = @PERL@
638PKG_CONFIG = @PKG_CONFIG@
639PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
640PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
641PYTHON = @PYTHON@
642PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
643PYTHON_PLATFORM = @PYTHON_PLATFORM@
644PYTHON_PREFIX = @PYTHON_PREFIX@
645PYTHON_VERSION = @PYTHON_VERSION@
646RANLIB = @RANLIB@
647RM = @RM@
648RPATH = @RPATH@
649SED = @SED@
650SET_MAKE = @SET_MAKE@
651SHELL = @SHELL@
652SPHINXBUILD = @SPHINXBUILD@
653SPHINXOPTS = @SPHINXOPTS@
654STRIP = @STRIP@
655TS_INCLUDES = @TS_INCLUDES@
656TS_LIBTOOL_VERSION = @TS_LIBTOOL_VERSION@
657TS_MAN1_MANPAGES = @TS_MAN1_MANPAGES@
658TS_MAN3_MANPAGES = @TS_MAN3_MANPAGES@
659TS_MAN5_MANPAGES = @TS_MAN5_MANPAGES@
660TS_MAN8_MANPAGES = @TS_MAN8_MANPAGES@
661TS_VERSION_MAJOR = @TS_VERSION_MAJOR@
662TS_VERSION_MICRO = @TS_VERSION_MICRO@
663TS_VERSION_MINOR = @TS_VERSION_MINOR@
664TS_VERSION_NUMBER = @TS_VERSION_NUMBER@
665TS_VERSION_STRING = @TS_VERSION_STRING@
666VERSION = @VERSION@
667YACC = @YACC@
668YAMLCPP_INCLUDES = @YAMLCPP_INCLUDES@
669YAMLCPP_LDFLAGS = @YAMLCPP_LDFLAGS@
670YAMLCPP_LIBS = @YAMLCPP_LIBS@
671abs_builddir = @abs_builddir@
672abs_srcdir = @abs_srcdir@
673abs_top_builddir = @abs_top_builddir@
674abs_top_srcdir = @abs_top_srcdir@
675ac_ct_AR = @ac_ct_AR@
676ac_ct_CC = @ac_ct_CC@
677ac_ct_CXX = @ac_ct_CXX@
678ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
679am__include = @am__include@
680am__leading_dot = @am__leading_dot@
681am__quote = @am__quote@
682am__tar = @am__tar@
683am__untar = @am__untar@
684bindir = @bindir@
685build = @build@
686build_alias = @build_alias@
687build_cpu = @build_cpu@
688build_group = @build_group@
689build_machine = @build_machine@
690build_number = @build_number@
691build_os = @build_os@
692build_person = @build_person@
693build_vendor = @build_vendor@
694builddir = @builddir@
695cachedir = @cachedir@
696datadir = @datadir@
697datarootdir = @datarootdir@
698default_loopback_iface = @default_loopback_iface@
699default_stack_size = @default_stack_size@
700docdir = @docdir@
701dvidir = @dvidir@
702enable_fips = @enable_fips@
703enable_remote_cov_commit = @enable_remote_cov_commit@
704exec_prefix = @exec_prefix@
705exp_bindir = @exp_bindir@
706exp_cachedir = @exp_cachedir@
707exp_datadir = @exp_datadir@
708exp_docdir = @exp_docdir@
709exp_exec_prefix = @exp_exec_prefix@
710exp_includedir = @exp_includedir@
711exp_infodir = @exp_infodir@
712exp_installbuilddir = @exp_installbuilddir@
713exp_libdir = @exp_libdir@
714exp_libexecdir = @exp_libexecdir@
715exp_localstatedir = @exp_localstatedir@
716exp_logdir = @exp_logdir@
717exp_mandir = @exp_mandir@
718exp_prefix = @exp_prefix@
719exp_runtimedir = @exp_runtimedir@
720exp_sbindir = @exp_sbindir@
721exp_sysconfdir = @exp_sysconfdir@
722has_128bit_cas = @has_128bit_cas@
723has_backtrace = @has_backtrace@
724has_boringocsp = @has_boringocsp@
725has_expensive_tests = @has_expensive_tests@
726has_geoip = @has_geoip@
727has_in6_is_addr_unspecified = @has_in6_is_addr_unspecified@
728has_ip_tos = @has_ip_tos@
729has_kyotocabinet = @has_kyotocabinet@
730has_luajit = @has_luajit@
731has_maxminddb = @has_maxminddb@
732has_mysql = @has_mysql@
733has_profiler = @has_profiler@
734has_so_mark = @has_so_mark@
735has_so_peercred = @has_so_peercred@
736has_tcmalloc = @has_tcmalloc@
737has_tests = @has_tests@
738has_tls_early_data = @has_tls_early_data@
739has_tls_session_ticket = @has_tls_session_ticket@
740has_wccp = @has_wccp@
741host = @host@
742host_alias = @host_alias@
743host_cpu = @host_cpu@
744host_os = @host_os@
745host_vendor = @host_vendor@
746htmldir = @htmldir@
747includedir = @includedir@
748infodir = @infodir@
749install_sh = @install_sh@
750installbuilddir = @installbuilddir@
751iocore_include_dirs = @iocore_include_dirs@
752ip_transparent = @ip_transparent@
753jemalloch = @jemalloch@
754libdir = @libdir@
755libexecdir = @libexecdir@
756localedir = @localedir@
757localstatedir = @localstatedir@
758logdir = @logdir@
759mandir = @mandir@
760max_event_threads = @max_event_threads@
761max_host_name_len = @max_host_name_len@
762max_threads_per_type = @max_threads_per_type@
763mkdir_p = @mkdir_p@
764oldincludedir = @oldincludedir@
765pdfdir = @pdfdir@
766pkgbindir = @pkgbindir@
767pkgcachedir = @pkgcachedir@
768pkgdocdir = @pkgdocdir@
769pkglocalstatedir = @pkglocalstatedir@
770pkglogdir = @pkglogdir@
771pkgpyexecdir = @pkgpyexecdir@
772pkgpythondir = @pkgpythondir@
773pkgruntimedir = @pkgruntimedir@
774pkgsbindir = @pkgsbindir@
775pkgsysconfdir = @pkgsysconfdir@
776pkgsysgroup = @pkgsysgroup@
777pkgsysuser = @pkgsysuser@
778prefix = @prefix@
779program_transform_name = @program_transform_name@
780psdir = @psdir@
781pyexecdir = @pyexecdir@
782pythondir = @pythondir@
783rel_bindir = @rel_bindir@
784rel_cachedir = @rel_cachedir@
785rel_datadir = @rel_datadir@
786rel_docdir = @rel_docdir@
787rel_exec_prefix = @rel_exec_prefix@
788rel_includedir = @rel_includedir@
789rel_infodir = @rel_infodir@
790rel_installbuilddir = @rel_installbuilddir@
791rel_libdir = @rel_libdir@
792rel_libexecdir = @rel_libexecdir@
793rel_localstatedir = @rel_localstatedir@
794rel_logdir = @rel_logdir@
795rel_mandir = @rel_mandir@
796rel_prefix = @rel_prefix@
797rel_runtimedir = @rel_runtimedir@
798rel_sbindir = @rel_sbindir@
799rel_sysconfdir = @rel_sysconfdir@
800runstatedir = @runstatedir@
801runtimedir = @runtimedir@
802sbindir = @sbindir@
803sharedstatedir = @sharedstatedir@
804srcdir = @srcdir@
805sysconfdir = @sysconfdir@
806target_alias = @target_alias@
807top_build_prefix = @top_build_prefix@
808top_builddir = @top_builddir@
809top_srcdir = @top_srcdir@
810use_boringocsp = @use_boringocsp@
811use_dh_get_2048_256 = @use_dh_get_2048_256@
812use_diags = @use_diags@
813use_epoll = @use_epoll@
814use_fast_sdk = @use_fast_sdk@
815use_hello_cb = @use_hello_cb@
816use_hkdf = @use_hkdf@
817use_hrw_geoip = @use_hrw_geoip@
818use_hrw_maxminddb = @use_hrw_maxminddb@
819use_hwloc = @use_hwloc@
820use_kqueue = @use_kqueue@
821use_linux_native_aio = @use_linux_native_aio@
822use_port = @use_port@
823use_posix_cap = @use_posix_cap@
824use_quic = @use_quic@
825use_remote_unwinding = @use_remote_unwinding@
826use_set_rbio = @use_set_rbio@
827use_tls13 = @use_tls13@
828use_tls_async = @use_tls_async@
829use_tls_ocsp = @use_tls_ocsp@
830use_tls_set_ciphersuites = @use_tls_set_ciphersuites@
831use_tproxy = @use_tproxy@
832TESTS = $(check_PROGRAMS)
833noinst_LIBRARIES = libinkevent.a
834libinkevent_a_SOURCES = \
835	EventSystem.cc \
836	IOBuffer.cc \
837	I_Action.h \
838	I_Continuation.h \
839	I_EThread.h \
840	I_Event.h \
841	I_EventProcessor.h \
842	I_EventSystem.h \
843	I_IOBuffer.h \
844	I_Lock.h \
845	I_PriorityEventQueue.h \
846	I_Processor.h \
847	I_ProtectedQueue.h \
848	I_ProxyAllocator.h \
849	I_SocketManager.h \
850	I_Tasks.h \
851	I_Thread.h \
852	I_VConnection.h \
853	I_VIO.h \
854	Inline.cc \
855	Lock.cc \
856	MIOBufferWriter.cc \
857	PQ-List.cc \
858	P_EventSystem.h \
859	P_Freer.h \
860	P_IOBuffer.h \
861	P_ProtectedQueue.h \
862	P_Thread.h \
863	P_UnixEThread.h \
864	P_UnixEvent.h \
865	P_UnixEventProcessor.h \
866	P_UnixSocketManager.h \
867	P_VConnection.h \
868	P_VIO.h \
869	Processor.cc \
870	ProtectedQueue.cc \
871	ProxyAllocator.cc \
872	SocketManager.cc \
873	Tasks.cc \
874	Thread.cc \
875	UnixEThread.cc \
876	UnixEvent.cc \
877	UnixEventProcessor.cc
878
879test_LD_FLAGS = \
880	@AM_LDFLAGS@ \
881	@OPENSSL_LDFLAGS@
882
883test_CPP_FLAGS = \
884	$(AM_CPPFLAGS) \
885	$(iocore_include_dirs) \
886	-I$(abs_top_srcdir)/proxy \
887	-I$(abs_top_srcdir)/proxy/hdrs \
888	-I$(abs_top_srcdir)/proxy/http \
889	-I$(abs_top_srcdir)/proxy/logging \
890	-I$(abs_top_srcdir)/mgmt \
891	-I$(abs_top_srcdir)/mgmt/utils \
892	-I$(abs_top_srcdir)/tests/include \
893	@OPENSSL_INCLUDES@
894
895test_LD_ADD = \
896	libinkevent.a \
897	$(top_builddir)/lib/records/librecords_p.a \
898	$(top_builddir)/mgmt/libmgmt_p.la \
899	$(top_builddir)/iocore/eventsystem/libinkevent.a \
900	$(top_builddir)/src/tscore/libtscore.la \
901	$(top_builddir)/src/tscpp/util/libtscpputil.la \
902	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
903	@HWLOC_LIBS@
904
905test_EventSystem_SOURCES = unit_tests/test_EventSystem.cc
906test_EventSystem_CPPFLAGS = $(test_CPP_FLAGS)
907test_EventSystem_LDFLAGS = $(test_LD_FLAGS)
908test_EventSystem_LDADD = $(test_LD_ADD)
909test_IOBuffer_SOURCES = unit_tests/test_IOBuffer.cc
910test_IOBuffer_CPPFLAGS = $(test_CPP_FLAGS)
911test_IOBuffer_LDFLAGS = $(test_LD_FLAGS)
912test_IOBuffer_LDADD = $(test_LD_ADD)
913test_MIOBufferWriter_SOURCES = unit_tests/test_MIOBufferWriter.cc
914test_MIOBufferWriter_CPPFLAGS = $(test_CPP_FLAGS)
915test_MIOBufferWriter_LDFLAGS = $(test_LD_FLAGS)
916Clang_Tidy_Options = -fix -fix-errors
917
918# Sort the filenames to remove duplicates, then filter to retain
919# just the C and C++ sources so we don't pick up lex and yacc files
920# for example.
921Clang_Tidy_CC_Files = $(filter %.c, $(sort $^))
922Clang_Tidy_CXX_Files = $(filter %.cc, $(sort $^))
923
924# clang-tidy rules. We expect these to be actions with something like
925# $(DIST_SOURCES) as the dependencies.rules. Note that $DIST_SOURCES
926# is not an automake API, it is an implementation detail, but it ought
927# to be stable enough.
928#
929# All this clearly requires GNU make.
930CXX_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CXX_Files) -- $(CXXCOMPILE) -x c++
931CC_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CC_Files) -- $(COMPILE) -x c
932all: all-am
933
934.SUFFIXES:
935.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
936$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/tidy.mk $(am__configure_deps)
937	@for dep in $?; do \
938	  case '$(am__configure_deps)' in \
939	    *$$dep*) \
940	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
941	        && { if test -f $@; then exit 0; else break; fi; }; \
942	      exit 1;; \
943	  esac; \
944	done; \
945	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign iocore/eventsystem/Makefile'; \
946	$(am__cd) $(top_srcdir) && \
947	  $(AUTOMAKE) --foreign iocore/eventsystem/Makefile
948Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
949	@case '$?' in \
950	  *config.status*) \
951	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
952	  *) \
953	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
954	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
955	esac;
956$(top_srcdir)/build/tidy.mk $(am__empty):
957
958$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
959	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
960
961$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
962	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
963$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
964	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
965$(am__aclocal_m4_deps):
966
967clean-checkPROGRAMS:
968	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
969	echo " rm -f" $$list; \
970	rm -f $$list || exit $$?; \
971	test -n "$(EXEEXT)" || exit 0; \
972	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
973	echo " rm -f" $$list; \
974	rm -f $$list
975
976clean-noinstLIBRARIES:
977	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
978
979libinkevent.a: $(libinkevent_a_OBJECTS) $(libinkevent_a_DEPENDENCIES) $(EXTRA_libinkevent_a_DEPENDENCIES)
980	$(AM_V_at)-rm -f libinkevent.a
981	$(AM_V_AR)$(libinkevent_a_AR) libinkevent.a $(libinkevent_a_OBJECTS) $(libinkevent_a_LIBADD)
982	$(AM_V_at)$(RANLIB) libinkevent.a
983unit_tests/$(am__dirstamp):
984	@$(MKDIR_P) unit_tests
985	@: > unit_tests/$(am__dirstamp)
986unit_tests/$(DEPDIR)/$(am__dirstamp):
987	@$(MKDIR_P) unit_tests/$(DEPDIR)
988	@: > unit_tests/$(DEPDIR)/$(am__dirstamp)
989unit_tests/test_EventSystem-test_EventSystem.$(OBJEXT):  \
990	unit_tests/$(am__dirstamp) \
991	unit_tests/$(DEPDIR)/$(am__dirstamp)
992
993test_EventSystem$(EXEEXT): $(test_EventSystem_OBJECTS) $(test_EventSystem_DEPENDENCIES) $(EXTRA_test_EventSystem_DEPENDENCIES)
994	@rm -f test_EventSystem$(EXEEXT)
995	$(AM_V_CXXLD)$(test_EventSystem_LINK) $(test_EventSystem_OBJECTS) $(test_EventSystem_LDADD) $(LIBS)
996unit_tests/test_IOBuffer-test_IOBuffer.$(OBJEXT):  \
997	unit_tests/$(am__dirstamp) \
998	unit_tests/$(DEPDIR)/$(am__dirstamp)
999
1000test_IOBuffer$(EXEEXT): $(test_IOBuffer_OBJECTS) $(test_IOBuffer_DEPENDENCIES) $(EXTRA_test_IOBuffer_DEPENDENCIES)
1001	@rm -f test_IOBuffer$(EXEEXT)
1002	$(AM_V_CXXLD)$(test_IOBuffer_LINK) $(test_IOBuffer_OBJECTS) $(test_IOBuffer_LDADD) $(LIBS)
1003unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.$(OBJEXT):  \
1004	unit_tests/$(am__dirstamp) \
1005	unit_tests/$(DEPDIR)/$(am__dirstamp)
1006
1007test_MIOBufferWriter$(EXEEXT): $(test_MIOBufferWriter_OBJECTS) $(test_MIOBufferWriter_DEPENDENCIES) $(EXTRA_test_MIOBufferWriter_DEPENDENCIES)
1008	@rm -f test_MIOBufferWriter$(EXEEXT)
1009	$(AM_V_CXXLD)$(test_MIOBufferWriter_LINK) $(test_MIOBufferWriter_OBJECTS) $(test_MIOBufferWriter_LDADD) $(LIBS)
1010
1011mostlyclean-compile:
1012	-rm -f *.$(OBJEXT)
1013	-rm -f unit_tests/*.$(OBJEXT)
1014
1015distclean-compile:
1016	-rm -f *.tab.c
1017
1018@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/EventSystem.Po@am__quote@ # am--include-marker
1019@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IOBuffer.Po@am__quote@ # am--include-marker
1020@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Inline.Po@am__quote@ # am--include-marker
1021@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Lock.Po@am__quote@ # am--include-marker
1022@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MIOBufferWriter.Po@am__quote@ # am--include-marker
1023@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PQ-List.Po@am__quote@ # am--include-marker
1024@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Processor.Po@am__quote@ # am--include-marker
1025@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ProtectedQueue.Po@am__quote@ # am--include-marker
1026@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ProxyAllocator.Po@am__quote@ # am--include-marker
1027@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SocketManager.Po@am__quote@ # am--include-marker
1028@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Tasks.Po@am__quote@ # am--include-marker
1029@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Thread.Po@am__quote@ # am--include-marker
1030@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UnixEThread.Po@am__quote@ # am--include-marker
1031@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UnixEvent.Po@am__quote@ # am--include-marker
1032@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UnixEventProcessor.Po@am__quote@ # am--include-marker
1033@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po@am__quote@ # am--include-marker
1034@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po@am__quote@ # am--include-marker
1035@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po@am__quote@ # am--include-marker
1036
1037$(am__depfiles_remade):
1038	@$(MKDIR_P) $(@D)
1039	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
1040
1041am--depfiles: $(am__depfiles_remade)
1042
1043.cc.o:
1044@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1045@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1046@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1047@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1048@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1049@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1050
1051.cc.obj:
1052@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1053@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1054@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1055@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1056@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1057@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1058
1059.cc.lo:
1060@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1061@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1062@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
1063@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1064@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1065@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1066
1067unit_tests/test_EventSystem-test_EventSystem.o: unit_tests/test_EventSystem.cc
1068@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_EventSystem_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_EventSystem-test_EventSystem.o -MD -MP -MF unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Tpo -c -o unit_tests/test_EventSystem-test_EventSystem.o `test -f 'unit_tests/test_EventSystem.cc' || echo '$(srcdir)/'`unit_tests/test_EventSystem.cc
1069@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Tpo unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po
1070@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_EventSystem.cc' object='unit_tests/test_EventSystem-test_EventSystem.o' libtool=no @AMDEPBACKSLASH@
1071@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1072@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_EventSystem_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_EventSystem-test_EventSystem.o `test -f 'unit_tests/test_EventSystem.cc' || echo '$(srcdir)/'`unit_tests/test_EventSystem.cc
1073
1074unit_tests/test_EventSystem-test_EventSystem.obj: unit_tests/test_EventSystem.cc
1075@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_EventSystem_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_EventSystem-test_EventSystem.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Tpo -c -o unit_tests/test_EventSystem-test_EventSystem.obj `if test -f 'unit_tests/test_EventSystem.cc'; then $(CYGPATH_W) 'unit_tests/test_EventSystem.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_EventSystem.cc'; fi`
1076@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Tpo unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po
1077@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_EventSystem.cc' object='unit_tests/test_EventSystem-test_EventSystem.obj' libtool=no @AMDEPBACKSLASH@
1078@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1079@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_EventSystem_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_EventSystem-test_EventSystem.obj `if test -f 'unit_tests/test_EventSystem.cc'; then $(CYGPATH_W) 'unit_tests/test_EventSystem.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_EventSystem.cc'; fi`
1080
1081unit_tests/test_IOBuffer-test_IOBuffer.o: unit_tests/test_IOBuffer.cc
1082@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_IOBuffer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_IOBuffer-test_IOBuffer.o -MD -MP -MF unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Tpo -c -o unit_tests/test_IOBuffer-test_IOBuffer.o `test -f 'unit_tests/test_IOBuffer.cc' || echo '$(srcdir)/'`unit_tests/test_IOBuffer.cc
1083@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Tpo unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po
1084@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_IOBuffer.cc' object='unit_tests/test_IOBuffer-test_IOBuffer.o' libtool=no @AMDEPBACKSLASH@
1085@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1086@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_IOBuffer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_IOBuffer-test_IOBuffer.o `test -f 'unit_tests/test_IOBuffer.cc' || echo '$(srcdir)/'`unit_tests/test_IOBuffer.cc
1087
1088unit_tests/test_IOBuffer-test_IOBuffer.obj: unit_tests/test_IOBuffer.cc
1089@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_IOBuffer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_IOBuffer-test_IOBuffer.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Tpo -c -o unit_tests/test_IOBuffer-test_IOBuffer.obj `if test -f 'unit_tests/test_IOBuffer.cc'; then $(CYGPATH_W) 'unit_tests/test_IOBuffer.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_IOBuffer.cc'; fi`
1090@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Tpo unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po
1091@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_IOBuffer.cc' object='unit_tests/test_IOBuffer-test_IOBuffer.obj' libtool=no @AMDEPBACKSLASH@
1092@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1093@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_IOBuffer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_IOBuffer-test_IOBuffer.obj `if test -f 'unit_tests/test_IOBuffer.cc'; then $(CYGPATH_W) 'unit_tests/test_IOBuffer.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_IOBuffer.cc'; fi`
1094
1095unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.o: unit_tests/test_MIOBufferWriter.cc
1096@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_MIOBufferWriter_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.o -MD -MP -MF unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Tpo -c -o unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.o `test -f 'unit_tests/test_MIOBufferWriter.cc' || echo '$(srcdir)/'`unit_tests/test_MIOBufferWriter.cc
1097@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Tpo unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po
1098@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_MIOBufferWriter.cc' object='unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.o' libtool=no @AMDEPBACKSLASH@
1099@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1100@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_MIOBufferWriter_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.o `test -f 'unit_tests/test_MIOBufferWriter.cc' || echo '$(srcdir)/'`unit_tests/test_MIOBufferWriter.cc
1101
1102unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.obj: unit_tests/test_MIOBufferWriter.cc
1103@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_MIOBufferWriter_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Tpo -c -o unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.obj `if test -f 'unit_tests/test_MIOBufferWriter.cc'; then $(CYGPATH_W) 'unit_tests/test_MIOBufferWriter.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_MIOBufferWriter.cc'; fi`
1104@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Tpo unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po
1105@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_MIOBufferWriter.cc' object='unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.obj' libtool=no @AMDEPBACKSLASH@
1106@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1107@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_MIOBufferWriter_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_MIOBufferWriter-test_MIOBufferWriter.obj `if test -f 'unit_tests/test_MIOBufferWriter.cc'; then $(CYGPATH_W) 'unit_tests/test_MIOBufferWriter.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_MIOBufferWriter.cc'; fi`
1108
1109mostlyclean-libtool:
1110	-rm -f *.lo
1111
1112clean-libtool:
1113	-rm -rf .libs _libs
1114clang-tidy-local:
1115
1116ID: $(am__tagged_files)
1117	$(am__define_uniq_tagged_files); mkid -fID $$unique
1118tags: tags-am
1119TAGS: tags
1120
1121tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1122	set x; \
1123	here=`pwd`; \
1124	$(am__define_uniq_tagged_files); \
1125	shift; \
1126	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1127	  test -n "$$unique" || unique=$$empty_fix; \
1128	  if test $$# -gt 0; then \
1129	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1130	      "$$@" $$unique; \
1131	  else \
1132	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1133	      $$unique; \
1134	  fi; \
1135	fi
1136ctags: ctags-am
1137
1138CTAGS: ctags
1139ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1140	$(am__define_uniq_tagged_files); \
1141	test -z "$(CTAGS_ARGS)$$unique" \
1142	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1143	     $$unique
1144
1145GTAGS:
1146	here=`$(am__cd) $(top_builddir) && pwd` \
1147	  && $(am__cd) $(top_srcdir) \
1148	  && gtags -i $(GTAGS_ARGS) "$$here"
1149cscopelist: cscopelist-am
1150
1151cscopelist-am: $(am__tagged_files)
1152	list='$(am__tagged_files)'; \
1153	case "$(srcdir)" in \
1154	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1155	  *) sdir=$(subdir)/$(srcdir) ;; \
1156	esac; \
1157	for i in $$list; do \
1158	  if test -f "$$i"; then \
1159	    echo "$(subdir)/$$i"; \
1160	  else \
1161	    echo "$$sdir/$$i"; \
1162	  fi; \
1163	done >> $(top_builddir)/cscope.files
1164
1165distclean-tags:
1166	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1167
1168# Recover from deleted '.trs' file; this should ensure that
1169# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1170# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1171# to avoid problems with "make -n".
1172.log.trs:
1173	rm -f $< $@
1174	$(MAKE) $(AM_MAKEFLAGS) $<
1175
1176# Leading 'am--fnord' is there to ensure the list of targets does not
1177# expand to empty, as could happen e.g. with make check TESTS=''.
1178am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1179am--force-recheck:
1180	@:
1181
1182$(TEST_SUITE_LOG): $(TEST_LOGS)
1183	@$(am__set_TESTS_bases); \
1184	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1185	redo_bases=`for i in $$bases; do \
1186	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1187	            done`; \
1188	if test -n "$$redo_bases"; then \
1189	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1190	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1191	  if $(am__make_dryrun); then :; else \
1192	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1193	  fi; \
1194	fi; \
1195	if test -n "$$am__remaking_logs"; then \
1196	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1197	       "recursion detected" >&2; \
1198	elif test -n "$$redo_logs"; then \
1199	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1200	fi; \
1201	if $(am__make_dryrun); then :; else \
1202	  st=0;  \
1203	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1204	  for i in $$redo_bases; do \
1205	    test -f $$i.trs && test -r $$i.trs \
1206	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1207	    test -f $$i.log && test -r $$i.log \
1208	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1209	  done; \
1210	  test $$st -eq 0 || exit 1; \
1211	fi
1212	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1213	ws='[ 	]'; \
1214	results=`for b in $$bases; do echo $$b.trs; done`; \
1215	test -n "$$results" || results=/dev/null; \
1216	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1217	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1218	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1219	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1220	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1221	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1222	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1223	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1224	  success=true; \
1225	else \
1226	  success=false; \
1227	fi; \
1228	br='==================='; br=$$br$$br$$br$$br; \
1229	result_count () \
1230	{ \
1231	    if test x"$$1" = x"--maybe-color"; then \
1232	      maybe_colorize=yes; \
1233	    elif test x"$$1" = x"--no-color"; then \
1234	      maybe_colorize=no; \
1235	    else \
1236	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1237	    fi; \
1238	    shift; \
1239	    desc=$$1 count=$$2; \
1240	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1241	      color_start=$$3 color_end=$$std; \
1242	    else \
1243	      color_start= color_end=; \
1244	    fi; \
1245	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1246	}; \
1247	create_testsuite_report () \
1248	{ \
1249	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1250	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1251	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1252	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1253	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1254	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1255	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1256	}; \
1257	{								\
1258	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1259	    $(am__rst_title);						\
1260	  create_testsuite_report --no-color;				\
1261	  echo;								\
1262	  echo ".. contents:: :depth: 2";				\
1263	  echo;								\
1264	  for b in $$bases; do echo $$b; done				\
1265	    | $(am__create_global_log);					\
1266	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1267	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1268	if $$success; then						\
1269	  col="$$grn";							\
1270	 else								\
1271	  col="$$red";							\
1272	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1273	fi;								\
1274	echo "$${col}$$br$${std}"; 					\
1275	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1276	echo "$${col}$$br$${std}"; 					\
1277	create_testsuite_report --maybe-color;				\
1278	echo "$$col$$br$$std";						\
1279	if $$success; then :; else					\
1280	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1281	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1282	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1283	  fi;								\
1284	  echo "$$col$$br$$std";					\
1285	fi;								\
1286	$$success || exit 1
1287
1288check-TESTS: $(check_PROGRAMS)
1289	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1290	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1291	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1292	@set +e; $(am__set_TESTS_bases); \
1293	log_list=`for i in $$bases; do echo $$i.log; done`; \
1294	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1295	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1296	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1297	exit $$?;
1298recheck: all $(check_PROGRAMS)
1299	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1300	@set +e; $(am__set_TESTS_bases); \
1301	bases=`for i in $$bases; do echo $$i; done \
1302	         | $(am__list_recheck_tests)` || exit 1; \
1303	log_list=`for i in $$bases; do echo $$i.log; done`; \
1304	log_list=`echo $$log_list`; \
1305	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1306	        am__force_recheck=am--force-recheck \
1307	        TEST_LOGS="$$log_list"; \
1308	exit $$?
1309test_IOBuffer.log: test_IOBuffer$(EXEEXT)
1310	@p='test_IOBuffer$(EXEEXT)'; \
1311	b='test_IOBuffer'; \
1312	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1313	--log-file $$b.log --trs-file $$b.trs \
1314	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1315	"$$tst" $(AM_TESTS_FD_REDIRECT)
1316test_EventSystem.log: test_EventSystem$(EXEEXT)
1317	@p='test_EventSystem$(EXEEXT)'; \
1318	b='test_EventSystem'; \
1319	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1320	--log-file $$b.log --trs-file $$b.trs \
1321	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1322	"$$tst" $(AM_TESTS_FD_REDIRECT)
1323test_MIOBufferWriter.log: test_MIOBufferWriter$(EXEEXT)
1324	@p='test_MIOBufferWriter$(EXEEXT)'; \
1325	b='test_MIOBufferWriter'; \
1326	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1327	--log-file $$b.log --trs-file $$b.trs \
1328	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1329	"$$tst" $(AM_TESTS_FD_REDIRECT)
1330.test.log:
1331	@p='$<'; \
1332	$(am__set_b); \
1333	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1334	--log-file $$b.log --trs-file $$b.trs \
1335	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1336	"$$tst" $(AM_TESTS_FD_REDIRECT)
1337@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1338@am__EXEEXT_TRUE@	@p='$<'; \
1339@am__EXEEXT_TRUE@	$(am__set_b); \
1340@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1341@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1342@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1343@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1344
1345distdir: $(BUILT_SOURCES)
1346	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1347
1348distdir-am: $(DISTFILES)
1349	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1350	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1351	list='$(DISTFILES)'; \
1352	  dist_files=`for file in $$list; do echo $$file; done | \
1353	  sed -e "s|^$$srcdirstrip/||;t" \
1354	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1355	case $$dist_files in \
1356	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1357			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1358			   sort -u` ;; \
1359	esac; \
1360	for file in $$dist_files; do \
1361	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1362	  if test -d $$d/$$file; then \
1363	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1364	    if test -d "$(distdir)/$$file"; then \
1365	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1366	    fi; \
1367	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1368	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1369	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1370	    fi; \
1371	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1372	  else \
1373	    test -f "$(distdir)/$$file" \
1374	    || cp -p $$d/$$file "$(distdir)/$$file" \
1375	    || exit 1; \
1376	  fi; \
1377	done
1378check-am: all-am
1379	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1380	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1381check: check-am
1382all-am: Makefile $(LIBRARIES)
1383installdirs:
1384install: install-am
1385install-exec: install-exec-am
1386install-data: install-data-am
1387uninstall: uninstall-am
1388
1389install-am: all-am
1390	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1391
1392installcheck: installcheck-am
1393install-strip:
1394	if test -z '$(STRIP)'; then \
1395	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1396	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1397	      install; \
1398	else \
1399	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1400	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1401	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1402	fi
1403mostlyclean-generic:
1404	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1405	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1406	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1407
1408clean-generic:
1409
1410distclean-generic:
1411	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1412	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1413	-rm -f unit_tests/$(DEPDIR)/$(am__dirstamp)
1414	-rm -f unit_tests/$(am__dirstamp)
1415
1416maintainer-clean-generic:
1417	@echo "This command is intended for maintainers to use"
1418	@echo "it deletes files that may require special tools to rebuild."
1419clang-tidy: clang-tidy-am
1420
1421clang-tidy-am: clang-tidy-local
1422
1423clean: clean-am
1424
1425clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1426	clean-noinstLIBRARIES mostlyclean-am
1427
1428distclean: distclean-am
1429		-rm -f ./$(DEPDIR)/EventSystem.Po
1430	-rm -f ./$(DEPDIR)/IOBuffer.Po
1431	-rm -f ./$(DEPDIR)/Inline.Po
1432	-rm -f ./$(DEPDIR)/Lock.Po
1433	-rm -f ./$(DEPDIR)/MIOBufferWriter.Po
1434	-rm -f ./$(DEPDIR)/PQ-List.Po
1435	-rm -f ./$(DEPDIR)/Processor.Po
1436	-rm -f ./$(DEPDIR)/ProtectedQueue.Po
1437	-rm -f ./$(DEPDIR)/ProxyAllocator.Po
1438	-rm -f ./$(DEPDIR)/SocketManager.Po
1439	-rm -f ./$(DEPDIR)/Tasks.Po
1440	-rm -f ./$(DEPDIR)/Thread.Po
1441	-rm -f ./$(DEPDIR)/UnixEThread.Po
1442	-rm -f ./$(DEPDIR)/UnixEvent.Po
1443	-rm -f ./$(DEPDIR)/UnixEventProcessor.Po
1444	-rm -f unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po
1445	-rm -f unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po
1446	-rm -f unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po
1447	-rm -f Makefile
1448distclean-am: clean-am distclean-compile distclean-generic \
1449	distclean-tags
1450
1451dvi: dvi-am
1452
1453dvi-am:
1454
1455html: html-am
1456
1457html-am:
1458
1459info: info-am
1460
1461info-am:
1462
1463install-data-am:
1464
1465install-dvi: install-dvi-am
1466
1467install-dvi-am:
1468
1469install-exec-am:
1470
1471install-html: install-html-am
1472
1473install-html-am:
1474
1475install-info: install-info-am
1476
1477install-info-am:
1478
1479install-man:
1480
1481install-pdf: install-pdf-am
1482
1483install-pdf-am:
1484
1485install-ps: install-ps-am
1486
1487install-ps-am:
1488
1489installcheck-am:
1490
1491maintainer-clean: maintainer-clean-am
1492		-rm -f ./$(DEPDIR)/EventSystem.Po
1493	-rm -f ./$(DEPDIR)/IOBuffer.Po
1494	-rm -f ./$(DEPDIR)/Inline.Po
1495	-rm -f ./$(DEPDIR)/Lock.Po
1496	-rm -f ./$(DEPDIR)/MIOBufferWriter.Po
1497	-rm -f ./$(DEPDIR)/PQ-List.Po
1498	-rm -f ./$(DEPDIR)/Processor.Po
1499	-rm -f ./$(DEPDIR)/ProtectedQueue.Po
1500	-rm -f ./$(DEPDIR)/ProxyAllocator.Po
1501	-rm -f ./$(DEPDIR)/SocketManager.Po
1502	-rm -f ./$(DEPDIR)/Tasks.Po
1503	-rm -f ./$(DEPDIR)/Thread.Po
1504	-rm -f ./$(DEPDIR)/UnixEThread.Po
1505	-rm -f ./$(DEPDIR)/UnixEvent.Po
1506	-rm -f ./$(DEPDIR)/UnixEventProcessor.Po
1507	-rm -f unit_tests/$(DEPDIR)/test_EventSystem-test_EventSystem.Po
1508	-rm -f unit_tests/$(DEPDIR)/test_IOBuffer-test_IOBuffer.Po
1509	-rm -f unit_tests/$(DEPDIR)/test_MIOBufferWriter-test_MIOBufferWriter.Po
1510	-rm -f Makefile
1511maintainer-clean-am: distclean-am maintainer-clean-generic
1512
1513mostlyclean: mostlyclean-am
1514
1515mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1516	mostlyclean-libtool
1517
1518pdf: pdf-am
1519
1520pdf-am:
1521
1522ps: ps-am
1523
1524ps-am:
1525
1526uninstall-am:
1527
1528.MAKE: check-am install-am install-strip
1529
1530.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1531	check-am clang-tidy-am clang-tidy-local clean \
1532	clean-checkPROGRAMS clean-generic clean-libtool \
1533	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1534	distclean-compile distclean-generic distclean-libtool \
1535	distclean-tags distdir dvi dvi-am html html-am info info-am \
1536	install install-am install-data install-data-am install-dvi \
1537	install-dvi-am install-exec install-exec-am install-html \
1538	install-html-am install-info install-info-am install-man \
1539	install-pdf install-pdf-am install-ps install-ps-am \
1540	install-strip installcheck installcheck-am installdirs \
1541	maintainer-clean maintainer-clean-generic mostlyclean \
1542	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1543	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1544	uninstall-am
1545
1546.PRECIOUS: Makefile
1547
1548
1549clang-tidy-local: $(DIST_SOURCES)
1550	$(CXX_Clang_Tidy)
1551
1552# Tell versions [3.59,3.63) of GNU make to not export all variables.
1553# Otherwise a system limit (for SysV at least) may be exceeded.
1554.NOEXPORT:
1555